> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/channels.md).

# Channels

Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules.

## GET /datamarts/{datamart\_id}/connected\_tvs/{token\_or\_id}

> Get connected tv by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/connected_tvs/{token_or_id}":{"get":{"parameters":[{"explode":false,"style":"simple","schema":{"type":"string"},"in":"path","name":"datamart_id","required":true},{"schema":{"$ref":"#/components/schemas/TokenOrId"},"in":"path","required":true,"name":"token_or_id","explode":false,"style":"simple"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ConnectedTvResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getConnectedTv","description":"","tags":["Channels"],"summary":"Get connected tv by id"}}},"components":{"schemas":{"TokenOrId":{"type":"string","description":"Identifier in one of the two following format : - an id, often a number - token=xxx "},"ConnectedTvResource":{"type":"object","properties":{"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["creation_ts","datamart_id","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/connected\_tvs/{token\_or\_id}

> Update a connected tv

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/connected_tvs/{token_or_id}":{"put":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ConnectedTvResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The connected tv to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectedTvResource"}}},"required":true},"operationId":"updateConnectedTv","summary":"Update a connected tv","tags":["Channels"],"description":"","parameters":[{"schema":{"type":"string"},"in":"path","explode":false,"style":"simple","required":true,"name":"datamart_id"},{"name":"token_or_id","required":true,"schema":{"$ref":"#/components/schemas/TokenOrId"},"style":"simple","in":"path","explode":false}]}}},"components":{"schemas":{"ConnectedTvResource":{"type":"object","properties":{"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"name":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true}},"required":["creation_ts","datamart_id","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"TokenOrId":{"type":"string","description":"Identifier in one of the two following format : - an id, often a number - token=xxx "}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/connected\_tvs/{token\_or\_id}

> Delete the connected tv

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/connected_tvs/{token_or_id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Channels"],"operationId":"removeConnectedTv","description":"","parameters":[{"schema":{"type":"string"},"required":true,"in":"path","style":"simple","explode":false,"name":"datamart_id"},{"explode":false,"name":"token_or_id","in":"path","schema":{"$ref":"#/components/schemas/TokenOrId"},"required":true,"style":"simple"}],"summary":"Delete the connected tv"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"TokenOrId":{"type":"string","description":"Identifier in one of the two following format : - an id, often a number - token=xxx "}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/device\_identifications/utiq\_mtid

> Get utiq mtid configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/utiq_mtid":{"get":{"tags":["Channels"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UtiqMtidMobileTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getUtiqMtidConfiguration","description":"","parameters":[{"required":true,"in":"path","style":"simple","explode":false,"schema":{"type":"string"},"name":"channel_id"}],"summary":"Get utiq mtid configuration of this channel"}}},"components":{"schemas":{"UtiqMtidMobileTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/device\_identifications/utiq\_mtid

> Update utiq mtid tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/utiq_mtid":{"put":{"tags":["Channels"],"parameters":[{"schema":{"type":"string"},"in":"path","style":"simple","name":"channel_id","required":true,"explode":false}],"summary":"Update utiq mtid tag configuration of this channel","operationId":"updateUtiqMtidConfiguration","requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtiqMtidMobileTagConfigurationResource"}}},"required":true},"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UtiqMtidMobileTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"UtiqMtidMobileTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/device\_identifications/mum\_id

> Get mum id tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/mum_id":{"get":{"description":"","operationId":"getMumIdTagConfiguration","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MumIdTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Channels"],"parameters":[{"schema":{"type":"string"},"in":"path","name":"channel_id","required":true,"style":"simple","explode":false}],"summary":"Get mum id tag configuration of this channel"}}},"components":{"schemas":{"MumIdTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"mics_cookie_domain_creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false},"mics_cookie_domain":{"type":"string","readOnly":false},"mics_cookie_domain_last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/device\_identifications/mum\_id

> Update mum id tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/mum_id":{"put":{"tags":["Channels"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MumIdTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MumIdTagConfigurationResource"}}},"required":true},"description":"","parameters":[{"in":"path","explode":false,"schema":{"type":"string"},"name":"channel_id","required":true,"style":"simple"}],"operationId":"updateMumIdTagConfiguration","summary":"Update mum id tag configuration of this channel"}}},"components":{"schemas":{"MumIdTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"mics_cookie_domain_creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false},"mics_cookie_domain":{"type":"string","readOnly":false},"mics_cookie_domain_last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/mobile\_applications/{token\_or\_id}

> Get mobile application by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/mobile_applications/{token_or_id}":{"get":{"parameters":[{"required":true,"style":"simple","in":"path","schema":{"type":"string"},"explode":false,"name":"datamart_id"},{"name":"token_or_id","style":"simple","explode":false,"required":true,"schema":{"$ref":"#/components/schemas/TokenOrId"},"in":"path"}],"operationId":"getMobileApplication","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MobileApplicationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Channels"],"summary":"Get mobile application by id","description":""}}},"components":{"schemas":{"TokenOrId":{"type":"string","description":"Identifier in one of the two following format : - an id, often a number - token=xxx "},"MobileApplicationResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["creation_ts","datamart_id","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/mobile\_applications/{token\_or\_id}

> Update a mobile application

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/mobile_applications/{token_or_id}":{"put":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MobileApplicationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The mobile application to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobileApplicationResource"}}},"required":true},"parameters":[{"in":"path","name":"datamart_id","schema":{"type":"string"},"style":"simple","explode":false,"required":true},{"required":true,"in":"path","style":"simple","explode":false,"name":"token_or_id","schema":{"$ref":"#/components/schemas/TokenOrId"}}],"tags":["Channels"],"operationId":"updateMobileApplication","summary":"Update a mobile application","description":""}}},"components":{"schemas":{"MobileApplicationResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["creation_ts","datamart_id","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"TokenOrId":{"type":"string","description":"Identifier in one of the two following format : - an id, often a number - token=xxx "}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/mobile\_applications/{token\_or\_id}

> Delete the mobile application

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/mobile_applications/{token_or_id}":{"delete":{"description":"","summary":"Delete the mobile application","operationId":"removeMobileApplication","parameters":[{"name":"datamart_id","style":"simple","schema":{"type":"string"},"explode":false,"required":true,"in":"path"},{"style":"simple","in":"path","explode":false,"required":true,"name":"token_or_id","schema":{"$ref":"#/components/schemas/TokenOrId"}}],"tags":["Channels"],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"TokenOrId":{"type":"string","description":"Identifier in one of the two following format : - an id, often a number - token=xxx "},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/sites/{site\_id}/aliases/{site\_alias\_id}

> Get site alias by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/aliases/{site_alias_id}":{"get":{"tags":["Channels"],"description":"","operationId":"getSiteAlias","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/SiteAliasResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"schema":{"type":"string"},"style":"simple","in":"path","explode":false,"name":"datamart_id","required":true},{"name":"site_id","style":"simple","explode":false,"in":"path","required":true,"schema":{"type":"string"}},{"required":true,"explode":false,"style":"simple","schema":{"type":"string"},"in":"path","name":"site_alias_id"}],"summary":"Get site alias by id"}}},"components":{"schemas":{"SiteAliasResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"site_id":{"type":"string","readOnly":false}},"required":["id","name","site_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/sites/{site\_id}/aliases/{site\_alias\_id}

> Update a site alias

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/aliases/{site_alias_id}":{"put":{"operationId":"updateSiteAlias","parameters":[{"in":"path","required":true,"style":"simple","explode":false,"schema":{"type":"string"},"name":"datamart_id"},{"name":"site_id","schema":{"type":"string"},"in":"path","required":true,"style":"simple","explode":false},{"style":"simple","name":"site_alias_id","in":"path","explode":false,"required":true,"schema":{"type":"string"}}],"description":"","tags":["Channels"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/SiteAliasResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The site alias to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteAliasResource"}}},"required":true},"summary":"Update a site alias"}}},"components":{"schemas":{"SiteAliasResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"site_id":{"type":"string","readOnly":false}},"required":["id","name","site_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/sites/{site\_id}/aliases/{site\_alias\_id}

> Delete the site alias

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/aliases/{site_alias_id}":{"delete":{"parameters":[{"required":true,"schema":{"type":"string"},"explode":false,"in":"path","style":"simple","name":"datamart_id"},{"required":true,"name":"site_id","style":"simple","in":"path","explode":false,"schema":{"type":"string"}},{"in":"path","required":true,"schema":{"type":"string"},"explode":false,"name":"site_alias_id","style":"simple"}],"description":"","tags":["Channels"],"operationId":"removeSiteAlias","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Delete the site alias"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /datamarts/{datamart\_id}/sites

> Search sites

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Mediarithmics most used API","description":"These operations where flagged by mediarithmics teams as most useful."},{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites":{"get":{"parameters":[{"required":true,"schema":{"type":"string"},"in":"path","name":"datamart_id","explode":false,"style":"simple"},{"name":"keywords","style":"form","description":"Word contained in the channel name","required":false,"schema":{"type":"string"},"explode":true,"in":"query"},{"name":"name","description":"Channel name","in":"query","style":"form","explode":true,"schema":{"type":"string"},"required":false},{"style":"form","in":"query","explode":true,"description":"channel token","required":false,"name":"token","schema":{"type":"string"}},{"required":false,"name":"first_result","explode":true,"schema":{"type":"integer","format":"int32"},"description":"Offset from which the search must be performed","in":"query","style":"form"},{"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"required":false,"explode":true,"in":"query","style":"form","name":"max_results"}],"operationId":"findSites","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"count":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SiteResource"}},"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Search sites","tags":["Channels","Mediarithmics most used API"]}}},"components":{"schemas":{"SiteResource":{"type":"object","properties":{"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"technical_name":{"type":"string","readOnly":false},"domain":{"type":"string","readOnly":false},"enable_analytics":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"enable_installation_id_aggregation":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true}},"required":["creation_ts","datamart_id","domain","enable_analytics","enable_installation_id_aggregation","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/sites

> Create site

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Mediarithmics most used API","description":"These operations where flagged by mediarithmics teams as most useful."},{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites":{"post":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/SiteResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The Site to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteResource"}}},"required":true},"tags":["Channels","Mediarithmics most used API"],"parameters":[{"in":"path","name":"datamart_id","schema":{"type":"string"},"required":true,"style":"simple","explode":false}],"summary":"Create site","operationId":"createSite"}}},"components":{"schemas":{"SiteResource":{"type":"object","properties":{"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"technical_name":{"type":"string","readOnly":false},"domain":{"type":"string","readOnly":false},"enable_analytics":{"type":"boolean","default":false,"readOnly":false},"organisation_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"enable_installation_id_aggregation":{"type":"boolean","default":false,"readOnly":false},"name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true}},"required":["creation_ts","datamart_id","domain","enable_analytics","enable_installation_id_aggregation","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/tcfv2

> Get TCFV2 configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/tcfv2":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TCFV2TagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get TCFV2 configuration of this channel","operationId":"getTCFV2Configuration","parameters":[{"in":"path","style":"simple","name":"channel_id","explode":false,"required":true,"schema":{"type":"string"}}],"tags":["Channels"]}}},"components":{"schemas":{"TCFV2TagConfigurationResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/tcfv2

> Update TCFV2 tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/tcfv2":{"put":{"summary":"Update TCFV2 tag configuration of this channel","requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TCFV2TagConfigurationResource"}}},"required":true},"parameters":[{"style":"simple","in":"path","schema":{"type":"string"},"explode":false,"name":"channel_id","required":true}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TCFV2TagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Channels"],"operationId":"updateTCFV2Configuration"}}},"components":{"schemas":{"TCFV2TagConfigurationResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/sites/{site\_id}/event\_rules/{event\_rule\_id}

> Get a site event rule by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/event_rules/{event_rule_id}":{"get":{"operationId":"getSiteEventRule","parameters":[{"in":"path","schema":{"type":"string"},"style":"simple","required":true,"name":"datamart_id","explode":false},{"explode":false,"name":"site_id","required":true,"style":"simple","schema":{"type":"string"},"in":"path"},{"in":"path","name":"event_rule_id","explode":false,"style":"simple","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/EventRuleResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get a site event rule by id","tags":["Channels"],"description":""}}},"components":{"schemas":{"EventRuleResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT_ID_INSERTION":"#/components/schemas/UserAccountIdCreationRuleResource","CONTEXTUAL_TARGETING_EXTRACTOR":"#/components/schemas/ContextualTargetingExtractorRuleResource","PROPERTY_TO_ORIGIN_COPY":"#/components/schemas/PropertyToOriginCopyRuleResource","URL_MATCH":"#/components/schemas/UrlMatchRuleResource","USER_IDENTIFIER_INSERTION":"#/components/schemas/UserIdentifierInsertionRuleResource","NO_STORAGE":"#/components/schemas/NoStorageRuleResource"}},"oneOf":[{"$ref":"#/components/schemas/PropertyToOriginCopyRuleResource"},{"$ref":"#/components/schemas/ContextualTargetingExtractorRuleResource"},{"$ref":"#/components/schemas/UserIdentifierInsertionRuleResource"},{"$ref":"#/components/schemas/UserAccountIdCreationRuleResource"},{"$ref":"#/components/schemas/UrlMatchRuleResource"},{"$ref":"#/components/schemas/NoStorageRuleResource"}],"properties":{"type":{"type":"string","enum":["PROPERTY_TO_ORIGIN_COPY","CONTEXTUAL_TARGETING_EXTRACTOR","USER_IDENTIFIER_INSERTION","USER_ACCOUNT_ID_INSERTION","URL_MATCH","NO_STORAGE"]}},"required":["type"]},"PropertyToOriginCopyRuleResource":{"type":"object","properties":{"datamart_id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"destination":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"property_source":{"$ref":"#/components/schemas/OriginPropertySource"},"property_name":{"type":"string","readOnly":false}},"required":["datamart_id","destination","id","property_name"]},"OriginPropertySource":{"type":"string","enum":["REFERRER","URL","EVENT_PROPERTY"],"readOnly":false},"ContextualTargetingExtractorRuleResource":{"type":"object","properties":{"add_signature_to_event":{"type":"boolean","default":false,"readOnly":false},"mode":{"$ref":"#/components/schemas/ContextualTargetingMode"},"datamart_id":{"type":"string","readOnly":true},"blacklist_url_datafile_uri":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"blacklist_regex_datafile_uri":{"type":"string","readOnly":false},"channel_id":{"type":"string","readOnly":true}},"required":["add_signature_to_event","datamart_id","id"]},"ContextualTargetingMode":{"type":"string","enum":["USER_EVENT_TAG","CONTEXTUAL_TARGETING_TAG"],"readOnly":false},"UserIdentifierInsertionRuleResource":{"type":"object","properties":{"hash_function":{"$ref":"#/components/schemas/HashFunctionName"},"validation_regexp":{"type":"string","readOnly":false},"identifier_creation":{"$ref":"#/components/schemas/IdentifierType1"},"compartment_id":{"type":"string","readOnly":false},"salt":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"to_lower_case":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"property_source":{"type":"string","readOnly":false},"remove_source":{"type":"boolean","default":false,"readOnly":false}},"required":["datamart_id","id","property_source","remove_source","to_lower_case"]},"HashFunctionName":{"type":"string","enum":["MD2","MD5","SHA_1","SHA_256","SHA_384","SHA_512","NO_HASH"],"readOnly":false},"IdentifierType1":{"type":"string","enum":["USER_ACCOUNT","EMAIL_HASH"],"readOnly":false},"UserAccountIdCreationRuleResource":{"type":"object","properties":{"remove_source":{"type":"boolean","default":false,"readOnly":false},"salt":{"type":"string","readOnly":false},"validation_regexp":{"type":"string","readOnly":false},"to_lower_case":{"type":"boolean","default":false,"readOnly":false},"property_source":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"identifier_creation":{"$ref":"#/components/schemas/IdentifierType1"},"hash_function":{"$ref":"#/components/schemas/HashFunctionName"}},"required":["datamart_id","id","property_source","remove_source","to_lower_case"]},"UrlMatchRuleResource":{"type":"object","properties":{"event_template":{"type":"string","readOnly":false},"pattern":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true}},"required":["datamart_id","event_template","id","pattern"]},"NoStorageRuleResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":true}},"required":["datamart_id","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /datamarts/{datamart\_id}/sites/{site\_id}/event\_rules/{event\_rule\_id}

> Update a site event rule

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/event_rules/{event_rule_id}":{"put":{"tags":["Channels"],"description":"","summary":"Update a site event rule","requestBody":{"description":"The event rule to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventRuleResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/EventRuleResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateSiteEventRule","parameters":[{"explode":false,"style":"simple","required":true,"name":"datamart_id","in":"path","schema":{"type":"string"}},{"explode":false,"schema":{"type":"string"},"name":"site_id","required":true,"in":"path","style":"simple"},{"required":true,"name":"event_rule_id","schema":{"type":"string"},"explode":false,"in":"path","style":"simple"}]}}},"components":{"schemas":{"EventRuleResource":{"discriminator":{"propertyName":"type","mapping":{"USER_ACCOUNT_ID_INSERTION":"#/components/schemas/UserAccountIdCreationRuleResource","CONTEXTUAL_TARGETING_EXTRACTOR":"#/components/schemas/ContextualTargetingExtractorRuleResource","PROPERTY_TO_ORIGIN_COPY":"#/components/schemas/PropertyToOriginCopyRuleResource","URL_MATCH":"#/components/schemas/UrlMatchRuleResource","USER_IDENTIFIER_INSERTION":"#/components/schemas/UserIdentifierInsertionRuleResource","NO_STORAGE":"#/components/schemas/NoStorageRuleResource"}},"oneOf":[{"$ref":"#/components/schemas/PropertyToOriginCopyRuleResource"},{"$ref":"#/components/schemas/ContextualTargetingExtractorRuleResource"},{"$ref":"#/components/schemas/UserIdentifierInsertionRuleResource"},{"$ref":"#/components/schemas/UserAccountIdCreationRuleResource"},{"$ref":"#/components/schemas/UrlMatchRuleResource"},{"$ref":"#/components/schemas/NoStorageRuleResource"}],"properties":{"type":{"type":"string","enum":["PROPERTY_TO_ORIGIN_COPY","CONTEXTUAL_TARGETING_EXTRACTOR","USER_IDENTIFIER_INSERTION","USER_ACCOUNT_ID_INSERTION","URL_MATCH","NO_STORAGE"]}},"required":["type"]},"PropertyToOriginCopyRuleResource":{"type":"object","properties":{"datamart_id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"destination":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"property_source":{"$ref":"#/components/schemas/OriginPropertySource"},"property_name":{"type":"string","readOnly":false}},"required":["datamart_id","destination","id","property_name"]},"OriginPropertySource":{"type":"string","enum":["REFERRER","URL","EVENT_PROPERTY"],"readOnly":false},"ContextualTargetingExtractorRuleResource":{"type":"object","properties":{"add_signature_to_event":{"type":"boolean","default":false,"readOnly":false},"mode":{"$ref":"#/components/schemas/ContextualTargetingMode"},"datamart_id":{"type":"string","readOnly":true},"blacklist_url_datafile_uri":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"blacklist_regex_datafile_uri":{"type":"string","readOnly":false},"channel_id":{"type":"string","readOnly":true}},"required":["add_signature_to_event","datamart_id","id"]},"ContextualTargetingMode":{"type":"string","enum":["USER_EVENT_TAG","CONTEXTUAL_TARGETING_TAG"],"readOnly":false},"UserIdentifierInsertionRuleResource":{"type":"object","properties":{"hash_function":{"$ref":"#/components/schemas/HashFunctionName"},"validation_regexp":{"type":"string","readOnly":false},"identifier_creation":{"$ref":"#/components/schemas/IdentifierType1"},"compartment_id":{"type":"string","readOnly":false},"salt":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"to_lower_case":{"type":"boolean","default":false,"readOnly":false},"id":{"type":"string","readOnly":true},"property_source":{"type":"string","readOnly":false},"remove_source":{"type":"boolean","default":false,"readOnly":false}},"required":["datamart_id","id","property_source","remove_source","to_lower_case"]},"HashFunctionName":{"type":"string","enum":["MD2","MD5","SHA_1","SHA_256","SHA_384","SHA_512","NO_HASH"],"readOnly":false},"IdentifierType1":{"type":"string","enum":["USER_ACCOUNT","EMAIL_HASH"],"readOnly":false},"UserAccountIdCreationRuleResource":{"type":"object","properties":{"remove_source":{"type":"boolean","default":false,"readOnly":false},"salt":{"type":"string","readOnly":false},"validation_regexp":{"type":"string","readOnly":false},"to_lower_case":{"type":"boolean","default":false,"readOnly":false},"property_source":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"identifier_creation":{"$ref":"#/components/schemas/IdentifierType1"},"hash_function":{"$ref":"#/components/schemas/HashFunctionName"}},"required":["datamart_id","id","property_source","remove_source","to_lower_case"]},"UrlMatchRuleResource":{"type":"object","properties":{"event_template":{"type":"string","readOnly":false},"pattern":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true}},"required":["datamart_id","event_template","id","pattern"]},"NoStorageRuleResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"channel_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":true}},"required":["datamart_id","id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/sites/{site\_id}/event\_rules/{event\_rule\_id}

> Delete the site event rule

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/event_rules/{event_rule_id}":{"delete":{"summary":"Delete the site event rule","description":"","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Channels"],"parameters":[{"style":"simple","required":true,"explode":false,"name":"datamart_id","in":"path","schema":{"type":"string"}},{"name":"site_id","required":true,"style":"simple","explode":false,"schema":{"type":"string"},"in":"path"},{"required":true,"in":"path","explode":false,"style":"simple","schema":{"type":"string"},"name":"event_rule_id"}],"operationId":"removeSiteEventRule"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /datamarts/{datamart\_id}/mobile\_applications

> Search mobile applications

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/mobile_applications":{"get":{"tags":["Channels"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/MobileApplicationResource"}},"count":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Search mobile applications","operationId":"findMobileApplications","parameters":[{"schema":{"type":"string"},"style":"simple","required":true,"in":"path","explode":false,"name":"datamart_id"},{"required":false,"explode":true,"style":"form","name":"keywords","in":"query","description":"Word contained in the channel name","schema":{"type":"string"}},{"name":"name","schema":{"type":"string"},"in":"query","description":"Channel name","required":false,"style":"form","explode":true},{"required":false,"description":"channel token","explode":true,"in":"query","schema":{"type":"string"},"style":"form","name":"token"},{"explode":true,"required":false,"schema":{"type":"integer","format":"int32"},"style":"form","name":"first_result","in":"query","description":"Offset from which the search must be performed"},{"required":false,"style":"form","name":"max_results","in":"query","explode":true,"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"}}]}}},"components":{"schemas":{"MobileApplicationResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["creation_ts","datamart_id","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/mobile\_applications

> Create mobile application

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/mobile_applications":{"post":{"parameters":[{"required":true,"schema":{"type":"string"},"name":"datamart_id","explode":false,"style":"simple","in":"path"}],"description":"","requestBody":{"description":"The mobile application to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobileApplicationResource"}}},"required":true},"summary":"Create mobile application","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/MobileApplicationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"createMobileApplication","tags":["Channels"]}}},"components":{"schemas":{"MobileApplicationResource":{"type":"object","properties":{"technical_name":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"id":{"type":"string","readOnly":true},"organisation_id":{"type":"string","readOnly":true},"token":{"type":"string","readOnly":false},"datamart_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false}},"required":["creation_ts","datamart_id","id","name","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/device\_identifications/installation\_id

> Get installation\_id tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/installation_id":{"get":{"summary":"Get installation_id tag configuration of this channel","parameters":[{"required":true,"name":"channel_id","style":"simple","in":"path","schema":{"type":"string"},"explode":false}],"tags":["Channels"],"operationId":"getInstallationIdTagConfiguration","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/InstallationIdTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"InstallationIdTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"device_id_registry_id":{"type":"string","readOnly":true},"device_id_registry_token":{"type":"string","readOnly":false},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/device\_identifications/installation\_id

> Update installation\_id tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/installation_id":{"put":{"description":"","tags":["Channels"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/InstallationIdTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateInstallationIdTagConfiguration","requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationIdTagConfigurationResource"}}},"required":true},"summary":"Update installation_id tag configuration of this channel","parameters":[{"required":true,"in":"path","style":"simple","name":"channel_id","schema":{"type":"string"},"explode":false}]}}},"components":{"schemas":{"InstallationIdTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"device_id_registry_id":{"type":"string","readOnly":true},"device_id_registry_token":{"type":"string","readOnly":false},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/cookie\_matching

> Get cookie matching configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/cookie_matching":{"get":{"parameters":[{"explode":false,"schema":{"type":"string"},"in":"path","style":"simple","required":true,"name":"channel_id"}],"description":"","operationId":"getCookieMatchingConfiguration","tags":["Channels"],"summary":"Get cookie matching configuration of this channel","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/CookieMatchingTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"CookieMatchingTagConfigurationResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"enable_goo_matching":{"type":"boolean","default":false,"readOnly":false},"enable_apx_matching":{"type":"boolean","default":false,"readOnly":false}},"required":["channel_id","enable_apx_matching","enable_goo_matching"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/cookie\_matching

> Update cookie matching tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/cookie_matching":{"put":{"operationId":"updateCookieMatchingConfiguration","requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CookieMatchingTagConfigurationResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/CookieMatchingTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Channels"],"parameters":[{"in":"path","required":true,"style":"simple","name":"channel_id","explode":false,"schema":{"type":"string"}}],"summary":"Update cookie matching tag configuration of this channel"}}},"components":{"schemas":{"CookieMatchingTagConfigurationResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"enable_goo_matching":{"type":"boolean","default":false,"readOnly":false},"enable_apx_matching":{"type":"boolean","default":false,"readOnly":false}},"required":["channel_id","enable_apx_matching","enable_goo_matching"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /datamarts/{datamart\_id}/sites/{site\_id}/aliases

> Search site aliases

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/aliases":{"get":{"parameters":[{"explode":false,"required":true,"style":"simple","schema":{"type":"string"},"name":"datamart_id","in":"path"},{"explode":false,"required":true,"schema":{"type":"string"},"style":"simple","in":"path","name":"site_id"},{"style":"form","in":"query","description":"Word contained in the channel name","required":false,"explode":true,"schema":{"type":"string"},"name":"keywords"},{"required":false,"schema":{"type":"string"},"explode":true,"description":"Site alias name","name":"name","style":"form","in":"query"},{"name":"first_result","description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"required":false,"explode":true,"style":"form","in":"query"},{"name":"max_results","description":"Number of maximum items that shall be return by this search","required":false,"schema":{"type":"integer","format":"int32"},"explode":true,"in":"query","style":"form"}],"summary":"Search site aliases","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"total":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SiteAliasResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","operationId":"findSiteAliases","tags":["Channels"]}}},"components":{"schemas":{"SiteAliasResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"site_id":{"type":"string","readOnly":false}},"required":["id","name","site_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/sites/{site\_id}/aliases

> Create site alias

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/sites/{site_id}/aliases":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/SiteAliasResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"style":"simple","required":true,"explode":false,"in":"path","schema":{"type":"string"},"name":"datamart_id"},{"required":true,"in":"path","explode":false,"style":"simple","schema":{"type":"string"},"name":"site_id"}],"tags":["Channels"],"description":"","operationId":"createSiteAlias","summary":"Create site alias","requestBody":{"description":"The Site alias to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteAliasResource"}}},"required":true}}}},"components":{"schemas":{"SiteAliasResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"site_id":{"type":"string","readOnly":false}},"required":["id","name","site_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/device\_identifications/first\_id

> Get first id tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/first_id":{"get":{"operationId":"getFirstIdTagConfiguration","parameters":[{"required":true,"name":"channel_id","explode":false,"in":"path","style":"simple","schema":{"type":"string"}}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FirstIdTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Get first id tag configuration of this channel","tags":["Channels"]}}},"components":{"schemas":{"FirstIdTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false},"auto_install":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/device\_identifications/first\_id

> Update first id tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/first_id":{"put":{"tags":["Channels"],"description":"","requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FirstIdTagConfigurationResource"}}},"required":true},"operationId":"updateFirstIdTagConfiguration","summary":"Update first id tag configuration of this channel","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/FirstIdTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"schema":{"type":"string"},"name":"channel_id","style":"simple","explode":false,"in":"path","required":true}]}}},"components":{"schemas":{"FirstIdTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false},"auto_install":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/tag\_configuration/device\_identifications/utiq\_mtid\_fixed

> Get utiq mtid (fixed) configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/utiq_mtid_fixed":{"get":{"tags":["Channels"],"parameters":[{"schema":{"type":"string"},"in":"path","name":"channel_id","style":"simple","required":true,"explode":false}],"description":"","operationId":"getUtiqMtidFixedConfiguration","summary":"Get utiq mtid (fixed) configuration of this channel","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UtiqMtidFixedTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"UtiqMtidFixedTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /channels/{channel\_id}/tag\_configuration/device\_identifications/utiq\_mtid\_fixed

> Update utiq mtid (fixed) tag configuration of this channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/tag_configuration/device_identifications/utiq_mtid_fixed":{"put":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UtiqMtidFixedTagConfigurationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateUtiqMtidFixedConfiguration","requestBody":{"description":"The parameters to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UtiqMtidFixedTagConfigurationResource"}}},"required":true},"description":"","summary":"Update utiq mtid (fixed) tag configuration of this channel","parameters":[{"required":true,"in":"path","name":"channel_id","explode":false,"style":"simple","schema":{"type":"string"}}],"tags":["Channels"]}}},"components":{"schemas":{"UtiqMtidFixedTagConfigurationResource":{"allOf":[{"$ref":"#/components/schemas/ChannelTagConfigurationResource"},{"type":"object","properties":{"channel_id":{"type":"string","readOnly":true},"active":{"type":"boolean","default":false,"readOnly":false}},"required":["active","channel_id"]}]},"ChannelTagConfigurationResource":{"type":"object"},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/visit\_analyzer\_models/{channel\_visit\_analyzer\_selection\_id}

> Get a ChannelVisitAnalyzerSelection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channels","description":"Operations related to Channels, the specific points of interaction or touchpoints with users such as Websites and Mobile Applications, identified by unique Site IDs or App IDs for segmentation and data privacy rules."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/visit_analyzer_models/{channel_visit_analyzer_selection_id}":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ChannelVisitAnalyzerSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"getChannelVisitAnalyzerSelection","tags":["Channels"],"description":"","parameters":[{"in":"path","schema":{"type":"string"},"required":true,"explode":false,"style":"simple","name":"channel_id"},{"required":true,"in":"path","name":"channel_visit_analyzer_selection_id","explode":false,"style":"simple","schema":{"type":"string"}}],"summary":"Get a ChannelVisitAnalyzerSelection"}}},"components":{"schemas":{"ChannelVisitAnalyzerSelectionResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"visit_analyzer_model_id":{"type":"string","readOnly":false},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"channel_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"execution_order":{"type":"integer","format":"int32","default":0,"readOnly":true}},"required":["channel_id","created_by","creation_ts","execution_order","id","visit_analyzer_model_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

[...]
